Bug 134543 - remote XMMS session crashes with GDK errors on any click on its window
remote XMMS session crashes with GDK errors on any click on its window
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 11:18 EDT by brian naasz
Modified: 2013-03-13 00:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-27 18:34:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description brian naasz 2004-10-04 11:18:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
I am running a remote XMMS session from another machine (FC2) that
displays on a FC3t2 machine.  I get the following on _any_ click on
the window that shows up:

Gdk-ERROR **: BadWindow (invalid Window parameter)
  serial 4130 error_code 3 request_code 38 minor_code 0
Gdk-ERROR **: BadAccess (attempt to access private resource denied)
  serial 4131 error_code 10 request_code 102 minor_code 0

I updated much of my system from the development tree but I still get
this same error.

Version-Release number of selected component (if applicable):
gnome-libs-1.4.1.2.90-43

How reproducible:
Always

Steps to Reproduce:
1.ssh <fedora Core 2 machines> xmms
2.try to right click on the xmms window.
3.see the helpful messages.
    

Actual Results:  Gdk-ERROR **: BadWindow (invalid Window parameter)
  serial 4130 error_code 3 request_code 38 minor_code 0
Gdk-ERROR **: BadAccess (attempt to access private resource denied)
  serial 4131 error_code 10 request_code 102 minor_code 0


Expected Results:  XMMS should have displayed an options menu.

Additional info:

I am running selinux=0 and with LDAP authentication/information turned on.
Comment 1 Richard Gill 2005-02-09 05:12:27 EST
I have similar problems running netscape or mozilla or acroread
remotely with ssh -X under FC3. In fact, no window ever appears, just
a load of Gdk error messages, and netscape/... exits.  I can get
ghostview. The remote system is on a sun network and running Solaris.
Comment 2 John Thacker 2005-04-27 18:22:39 EDT
Use ssh -Y instead of ssh -X
OpenSSH changed its defaults so that -X has certain security restrictions and
you have to use -Y (or ForwardX11Trusted yes) in order to have a fully trusted X
connection.  This was done for certain security reasons as of openssh 3.8:
http://www.openssh.org/faq.html#3.13

3.13 - I upgraded to OpenSSH 3.8 and some X11 programs stopped working.

As documented in the 3.8 release notes, ssh will now use untrusted X11 cookies
by default. The previous behaviour can be restored by setting ForwardX11Trusted
yes in ssh_config.

Possible symptoms include:
BadWindow (invalid Window parameter)
BadAccess (attempt to access private resource denied)
X Error of failed request: BadAtom (invalid Atom parameter)
Major opcode of failed request: 20 (X_GetProperty)

Not really a bug.  (Except perhaps upstream programs should be written better.)
 The -X behavior changed.  Use ssh -Y.  Perhaps this should be documented more,
but it is in the ssh man page and release notes and FAQ.

Thanks, please close the bug.

Note You need to log in before you can comment on or make changes to this bug.